curl --request GET \
--url https://api.hubapi.com/files/v3/files/import-from-url/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"access": "HIDDEN_INDEXABLE",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
}
}Überprüfen Sie den Status des angeforderten Imports.
curl --request GET \
--url https://api.hubapi.com/files/v3/files/import-from-url/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"access": "HIDDEN_INDEXABLE",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
}
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Anhand der URL-Aufgaben-ID importieren
successful operation
Zeit bis zum Abschluss der Aufgabe.
Zeitstempel, wann die Aufgabe gestartet wurde.
Aktueller Status der Aufgabe.
CANCELED, COMPLETE, PENDING, PROCESSING ID der angeforderten Aufgabe.
Beschreibende Fehlermeldung.
Show child attributes
Link zur Überprüfung des Status der angeforderten Aufgabe.
Show child attributes
Anzahl der Fehler, die sich aus der Aufgabe ergeben.
Zeitstempel, wann die Aufgabe angefragt wurde.
File
Show child attributes